<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="h-full w-full flex flex-col">
  <app-header></app-header>
  <div class="w-full grow flex">
    <div class="grow flex flex-col h-full">
      <div class="grow flex items-center justify-center w-full">
        <app-add-node></app-add-node>
      </div>
      <app-eu-contrib></app-eu-contrib>
    </div>
    <div class="h-[calc(100dvh-56px)] w-[calc(800px)] flex flex-col" style="background-color: #333a57">
      <div class="h-12 pl-6 w-full flex items-end justify-end text-sm shrink-0">
        <div *ngIf="node$ | async as node" class="flex text-white items-center gap-3 w-fit h-12 cursor-pointer hover:bg-secondary-900" (click)="backToNode()">
          <div class="grow flex items-center justify-end gap-2 mt-0.5 pl-3">
            <i class="fa fa-circle-nodes"></i>
            <div class="truncate">{{ node.name }}</div>
          </div>
          <div class="size-12 bg-primary-500 flex items-center justify-center ">
            <i class="fa fa-chevron-right mt-0.5"></i>
          </div>
        </div>
      </div>
      <div class="grow w-full overflow-y-auto">
        <app-node-list></app-node-list>
      </div>
    </div>
  </div>
</div>
